Get Pnl History
Holdings
Fetch historical PnL by Wallet
Get the Historical PnL for a given wallet address.
POST
Get Pnl History
This endpoint provides unrealized and realized PnL for wallet addresses at specified time periods and granularities.Documentation Index
Fetch the complete documentation index at: https://docs.allium.so/llms.txt
Use this file to discover all available pages before exploring further.
Time Range Parameters
start_timestamp- Beginning of the time range (inclusive)end_timestamp- End of the time range (exclusive)- Both timestamps are assumed to be in UTC if no timezone is specified
- All returned data is in UTC
Granularity Options
1d- Daily intervals1h- Hourly intervals5m- 5-minute intervals1m- 1-minute intervals15s- 15-second intervals
Granularity Constraints
The allowed granularity depends on the requested time range:| Time Range | Finest Granularity Allowed |
|---|---|
| 0 - 24 hours | 15s |
| 1 - 7 days | 5m |
| 1 week - 1 year | 1h |
| Over 1 year | 1d |
Supported Chains
Authorizations
Query Parameters
Minimum liquidity of which tokens must have to be included in the response.
Body
application/json
Start of time range (UTC ISO 8601)
End of time range (UTC ISO 8601)
Time interval granularity (1d, 1h, 5m, 1m, 15s)
Available options:
1h, 1d, 1m, 5m, 15s List of wallet chain+address pairs
Required array length:
1 - 20 elementsResponse
Successful Response
Single item response data of type T
- HistoricalPnl
- PnlError
Example:
{
"address": "125Z6k4ZAxsgdG7JxrKZpwbcS1rxqpAeqM9GSCKd66Wp",
"chain": "solana",
"pnl": [
{
"realized_pnl": {
"amount": "0.002335373911312482",
"currency": "USD"
},
"timestamp": "2026-03-19T22:00:00Z",
"unrealized_pnl": {
"amount": "0.145848378518889629",
"currency": "USD"
}
},
{
"realized_pnl": {
"amount": "0.002335373911312482",
"currency": "USD"
},
"timestamp": "2026-03-19T23:00:00Z",
"unrealized_pnl": {
"amount": "0.137894957302491137",
"currency": "USD"
}
}
]
}Response items of type T
- HistoricalPnl
- PnlError
Example:
{
"address": "125Z6k4ZAxsgdG7JxrKZpwbcS1rxqpAeqM9GSCKd66Wp",
"chain": "solana",
"pnl": [
{
"realized_pnl": {
"amount": "0.002335373911312482",
"currency": "USD"
},
"timestamp": "2026-03-19T22:00:00Z",
"unrealized_pnl": {
"amount": "0.145848378518889629",
"currency": "USD"
}
},
{
"realized_pnl": {
"amount": "0.002335373911312482",
"currency": "USD"
},
"timestamp": "2026-03-19T23:00:00Z",
"unrealized_pnl": {
"amount": "0.137894957302491137",
"currency": "USD"
}
}
]
}Error message
Pagination cursor for next page